#include "xanimdynamicindices.h"

XAnimDynamicIndices::XAnimDynamicIndices()
    : XAsset()
    , mIndices(1)
{
    SetName("Animation Dynamic Indices");
}

void XAnimDynamicIndices::ParseData(XDataStream *aStream) {
    if (GetPtr() == -1) {
        mIndices[0] = aStream->ParseUInt8(QString("%1 index").arg(GetName()));
    }
}

void XAnimDynamicIndices::Clear()
{
    mIndices.clear();
}

QVector<quint8> XAnimDynamicIndices::GetIndices() const {
    return mIndices;
}

void XAnimDynamicIndices::SetIndices(QVector<quint8> aIndices) {
    mIndices = aIndices;
}
